@import "~bootstrap/dist/css/bootstrap.css";
@import "typography";

body {
    color: #183351;
    font-family: 'Open Sans', sans-serif;
}

.pt3 {
    padding-top: 0;
}

.mt3 {
    margin-top: 30px;
}
.mt5 {
    margin: 25px;
}

.lg-mt6 {
    margin-top: 20px;
}

.col-sm-flex-row {
    display: flex;
    flex-flow: column;
}

.demo__page_title {
    font-size: 12px;
    letter-spacing: 5%;
    font-weight: 600;
    text-transform: uppercase;
}

.demo__title {
    margin-top: 32px;
    font-weight: 600;
    font-size: 28px;
    line-height: 30px;
}

.demo__description {
    line-height: 24px;
    font-size: 16px;
    margin-top: 22px;
    padding-right: 10px;
}

.demo__peers {
    display: flex;
    align-items: center;
    height: 50px;
}

.demo__peers_count {
    line-height: 57px;
    font-size: 38px;
    color: #183351;
    margin-right: 5px;
}

.demo__peers_text {
    width: 80px;
    font-size: 12px;
    line-height: 16px;
    font-weight: 600;
    text-transform: uppercase;
}

.demo__peers_btn {
    padding: 15px 20px;
    background: #0042EB;
    border-radius: 1000px;
    color: #ffffff;
    font-weight: 600;
    font-size: 14px;
    font-family: "Montserrat", sans-serif;
    border: none;
    width: 230px;
    height: 50px;
}

.demo__peers_btn:hover {
  background: #1381FF
}

.demo__peers_btn:focus {
    outline: none;
}

.demo__item_title {
    font-weight: 600;
    font-size: 12px;
    text-transform: uppercase;
}

.demo__item_title--blue {
    color: #1381FF;
}

.demo__item_title--green {
    color: #00D8BE;
}

.demo__item_title--red {
    color: #FF572A;
}

.demo__item_count {
    font-size: 38px;
    // color: #183351;
}

.demo__item_trafic_amount,
.demo__item_trafic_speed {
    font-size: 14px;
    color: #183351;
}

#video div[data-player] {
    height: 270px !important;
    width: 480px !important;
    margin: 0 auto;
}

@media (min-width: 768px) and (max-width: 990px) {
  .lg-mt6 {
    margin-top: 0;
    display: flex;
    flex-direction: column-reverse;
  }

  #video div[data-player] { margin-bottom: 25px; }
}

@media (min-width: 992px) and (max-width: 1200px) {
  .mt5 {
    margin: 0;
  }

    #video div[data-player] {
        width: 480px !important;
        height: 270px !important;
        margin: 0 auto;
    }

    canvas {
        height: 170px !important;
        width: 480px !important;
        margin: 0 auto;
    }
}

@media (max-width: 767px) {
    #video div[data-player] {
        width: 360px !important;
        height: 250px !important;
        margin: 0 auto;
    }

    canvas {
        height: 150px !important;
        width: 360px !important;
        margin: 0 auto;
    }

    .col-sm-flex-row {
        flex-flow: row;
    }

    .col-sm-column {
        flex-flow: column;
        display: flex;
        flex-flow: column;
        justify-content: center;
    }

    .demo__item_count {
        padding-right: 20px;
    }

    .demo__peers_btn {
        width: 100%;
    }

    .sm-mt25 {
        margin-top: 25px;
    }

    .lg-mt6 {
        margin-top: 0;
        display: flex;
        flex-direction: column-reverse;
    }
}
